import './Pagination.styles_6rozng.css';
import { styled } from '@linaria/react';
import { component, mergeConfig } from '../../engines/common.js';
import { buttonConfig } from '../Button/Button.js';
import { buttonGroupConfig } from '../ButtonGroup/ButtonGroup.js';

var mergedButtonConfig = /*#__PURE__*/mergeConfig(buttonConfig);
var Button = /*#__PURE__*/component(mergedButtonConfig);
var mergedButtonGroupConfig = /*#__PURE__*/mergeConfig(buttonGroupConfig);
var ButtonGroup = /*#__PURE__*/component(mergedButtonGroupConfig);
var PaginationRoot = /*#__PURE__*/styled('div')({
  name: "PaginationRoot",
  "class": "puv60es",
  propsAsIs: false
});
var PaginationPages = /*#__PURE__*/styled('div')({
  name: "PaginationPages",
  "class": "p15kbnt1",
  propsAsIs: false
});
var PaginationActions = /*#__PURE__*/styled('div')({
  name: "PaginationActions",
  "class": "pom5dxu",
  propsAsIs: false
});
var PaginationSection = /*#__PURE__*/styled('div')({
  name: "PaginationSection",
  "class": "p1vkev34",
  propsAsIs: false
});
var _exp8 = function _exp8() {
  return ButtonGroup;
};
var PaginationButtonGroup = /*#__PURE__*/styled(_exp8())({
  name: "PaginationButtonGroup",
  "class": "p1u1car3",
  propsAsIs: true
});
var _exp44 = function _exp44() {
  return Button;
};
var PaginationButton = /*#__PURE__*/styled(_exp44())({
  name: "PaginationButton",
  "class": "pfvbu4f",
  propsAsIs: true
});
var _exp100 = function _exp100() {
  return PaginationButton;
};
var PaginationShorter = /*#__PURE__*/styled(_exp100())({
  name: "PaginationShorter",
  "class": "p61l60l",
  propsAsIs: true
});
var PaginationActionsLeft = /*#__PURE__*/styled('div')({
  name: "PaginationActionsLeft",
  "class": "p1g42k8l",
  propsAsIs: false
});
var PaginationHelperText = /*#__PURE__*/styled('div')({
  name: "PaginationHelperText",
  "class": "p1618sye",
  propsAsIs: false
});

export { PaginationActions, PaginationActionsLeft, PaginationButton, PaginationButtonGroup, PaginationHelperText, PaginationPages, PaginationRoot, PaginationSection, PaginationShorter };
